using System;
using System.Collections;
using System.ComponentModel;

public class SampleRow
{
	private string _name;
	private string _description;
	private int _id;

	[DataObjectField(true, true)]
	public int Id
	{
		get { return _id; }
		set { _id = value; }
	}

	[DataObjectField(false)]
	[DefaultValue("New row")]
	public string Name
	{
		get { return _name; }
		set { _name = value; }
	}

	[DataObjectField(false)]
	[DefaultValue("")]
	public string Description
	{
		get { return _description; }
		set { _description = value; }
	}

	public SampleRow()
	{
		_id = -1;
	}

	public SampleRow(int id, string name, string description)
	{
		_id = id;
		_name = name;
		_description = description;
	}
}