
Imports System
Imports System.Collections
Imports System.ComponentModel



Public Class SampleRow
    Private _name As String
    Private _description As String
    Private _id As Integer
    
    
    <DataObjectField(True, True)>  _
    Public Property Id() As Integer 
        Get
            Return _id
        End Get
        Set
            _id = value
        End Set
    End Property 
    
    <DataObjectField(False), DefaultValue("New row")>  _
    Public Property Name() As String 
        Get
            Return _name
        End Get
        Set
            _name = value
        End Set
    End Property 
    
    <DataObjectField(False), DefaultValue("")>  _
    Public Property Description() As String 
        Get
            Return _description
        End Get
        Set
            _description = value
        End Set
    End Property
     
    Public Sub New() 
        _id = - 1
    
    End Sub 'New
    
    
    Public Sub New(ByVal id As Integer, ByVal name As String, ByVal description As String) 
        _id = id
        _name = name
        _description = description
    
    End Sub 'New
End Class 'SampleRow